moeoMetric(3)

NAME
moeoMetric - Base class for performance metrics (also known as quality indicators).

SYNOPSIS

#include <moeoMetric.h>

Inherits eoFunctorBase.

Inherited by moeoBinaryMetric< A1, A2, R >, moeoBinaryMetric< const const ObjectiveVector &, ObjectiveVector &, double >, moeoBinaryMetric< const const ObjectiveVector &, ObjectiveVector &, R >, moeoBinaryMetric< const const std::vector< ObjectiveVector > &, std::vector< ObjectiveVector > &, double >, moeoBinaryMetric< const const std::vector< ObjectiveVector > &, std::vector< ObjectiveVector > &, R >, moeoUnaryMetric< A, R >, moeoUnaryMetric< const ObjectiveVector &, R >, and moeoUnaryMetric< const std::vector< ObjectiveVector > &, R >.

Detailed Description

Base class for performance metrics (also known as quality indicators).

Definition at line 21 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.